<template>
  <div id="movie-item-singly">
    <div class="poster-singly">
      <img
        width="400"
        :src="`http://image.tmdb.org/t/p/w300${singleMovie.poster_path}`"
      />
    </div>
    <div class="list-singly">
      <ul class="ul-list-singly">
        <div class="release-singly">
          <li>
            <a>Release date: {{ singleMovie.release_date }}</a>
          </li>
        </div>
        <li class="title-singly">
          <a>{{ singleMovie.title }}</a>
        </li>
        <li class="tagline-singly">
          <a>{{ singleMovie.tagline }}</a>
        </li>
        <li class="overview-singly">
          <a>{{ singleMovie.overview }}</a>
        </li>
      </ul>
      <ul>
        <div class="genre-for-singly">
          <li
            class="genres-singly"
            v-for="genre in singleMovie.genres"
            :key="genre.id"
          >
            <span>{{ genre.name }}</span>
          </li>
        </div>
      </ul>
      <div class="buttonBack">
        <input class="btnBack" type="button" value="Back" @click="back()" />
      </div>
      <div class="link">
        <a v-bind:href="singleMovie.homepage">Homepage</a>
      </div>
    </div>
  </div>
</template>

<script>
import MovieItem from "./MovieItem.vue";
import axios from "axios";

export default {
  name: "Movie",
  data() {
    return {
      singleMovie: "",
      page: 1
    };
  },
  created() {
    this.getSingleFilm(this.id, this.page);
  },
  methods: {
    getSingleFilm(id, page) {
      axios
        .get(
          `https://api.themoviedb.org/3/movie/${this.$route.params.id}?api_key=63049dc214fb33db08a5f1af68e8e3a0&language=en-US`
        )
        .then(response => {
          this.singleMovie = response.data;
          console.log(response.data);
        });
    },
    back() {
      this.$router.push("/");
    }
  }
};
</script>

<style scoped>
#movie-item-singly {
  background: #282c35;
}
.poster-singly {
  display: inline-block;
  padding: 50px 400px 50px 30px;
  background: #1c2029;
  border: 2px solid #666;
  margin: 100px 0px 0px 500px;
}
.list-singly {
  margin: -600px 0px 0px 950px;
  list-style-type: none;
  display: flex;
}
.tagline-singly {
  margin: 0px 0px 0px 0px;
  list-style-type: none;
  color: #dcdcdc;
  width: 300px;
}
.title-singly {
  margin: 0px 0px 0px 0px;
  list-style-type: none;
  color: #dcdcdc;
  font-size: 50px;
  width: 300px;
}
.overview-singly {
  margin: 20px 0px 0px 0px;
  list-style-type: none;
  color: #dcdcdc;
  width: 300px;
}
.release-singly {
  margin: -80px 0px 0px -400px;
  list-style-type: none;
  color: #dcdcdc;
}
.genres-singly {
  margin: 0px 0px 0px 0px;
  list-style-type: none;
  display: flex;
  color: #dcdcdc;
  margin-right: 10px;
}
.genre-for-singly {
  margin: 570px 0px 125px -800px;
  display: flex;
}
.btnBack:focus,
.btnBack:active,
.btnBack {
  outline: none;
  border: 0;
  background: transparent;
  color: darkorchid;
}
.buttonBack {
  margin: -100px 0px 0px -820px;
}
.link{
margin: 570px 0px 0px 670px;
}
</style>
